Subject: RE: 27.2; `define-minor-mode' with alist of key bindings

From: Drew Adams <[email-masked]>
Date: Fri, 25 Feb 2022 22:33:01 +0000

> The doc (both Elisp manual and doc string) says this:
> 
>  The optional argument KEYMAP specifies the keymap for the minor
>  mode.  If non-'nil', it should be a variable name (whose value is a
>  keymap), a keymap, or an alist of the form
> 
>       (KEY-SEQUENCE . DEFINITION)
> 
>  where each KEY-SEQUENCE and DEFINITION are arguments suitable for
>  passing to 'define-key'.
> 
> I think that's the case in these examples, no?  Both (kbd "C-o") and
> "\C-o" are suitable args for `define-key'.
> 
> What am I missing?

I guess I understand it now.  I think the language
about something "suitable for passing" to `define-key'
is what's misleading, and confused me.  Usually we
speak instead of an argument that is "acceptable to
function ____".  "Passing" suggests an unevaluated
value you're passing, which is then evaluated as the
actual argument for the function.

But even that wouldn't be as clear as this could be.
I'd suggest making it very clear somehow, that neither
KEY-SEQUENCE nor DEFINITION gets evaluated.  Maybe add
a short example.

In any case, you can close this bug, if you like.
Consider it user feedback of something I found confusing.